* {
  -webkit-tap-highlight-color: #ffffff; /* 设置点击背景 */
  -webkit-tap-highlight-color: transparent; /* 解决点击闪烁问题 */
}
*::-webkit-scrollbar {
  display: none;
}
body {
  margin: 0;
  opacity: 0;
  animation: page-fade-in 0.5s forwards;
}
@keyframes page-fade-in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
html {
  background: transparent;
  color: #000;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  font-size: 100px;
  height: 100%;
  position: relative;
  max-width: 100%;
  margin: auto;
}
button {
  outline: none;
}
body,
div,
dl,
dt,
dd,
ul,
ol,
li,
h1,
h2,
h3,
h4,
h5,
h6,
pre,
code,
form,
fieldset,
legend,
input,
textarea,
p,
blockquote,
th,
td,
hr,
button,
article,
aside,
details,
figcaption,
figure,
footer,
header,
menu,
nav,
section {
  margin: 0;
  padding: 0;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
menu,
nav,
section {
  display: block;
}

audio,
canvas,
video {
  display: inline-block;
  *display: inline;
  *zoom: 1;
}

body,
button,
input,
select,
textarea {
  /*font:12px/1.5 tahoma, arial, "Hiragino Sans GB", \5b8b\4f53;*/
  font: 0.12rem/1.5 "Helvetica Neue", Helvetica, Arial, Sans-serif;
}

body {
  font-family: "Microsoft YaHei";
  height: 100%;
}

input,
select,
textarea {
  font-size: 100%;
}

table {
  border-spacing: 0;
  border-collapse: collapse;
}

th {
  text-align: inherit;
}

fieldset,
img {
  border: 0;
}

iframe {
  display: block;
  background: transparent;
}

abbr,
acronym {
  border: 0;
  font-variant: normal;
}

del {
  text-decoration: line-through;
}

address,
caption,
cite,
code,
dfn,
em,
th,
var {
  font-weight: 500;
  font-style: normal;
}

ol,
ul {
  list-style: none;
}

caption,
th {
  text-align: left;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 500;
  font-size: 100%;
}

q:before,
q:after {
  content: "";
}

sub,
sup {
  position: relative;
  vertical-align: baseline;
  font-size: 75%;
  line-height: 0;
}

sup {
  top: -0.5em;
}

sub {
  bottom: -0.25em;
}

ins,
a {
  text-decoration: none;
}

code,
kbd,
pre,
samp {
  font-size: 1em;
  font-family: monospace, serif;
}

a,
input,
textarea {
  outline: none;
  -webkit-tap-highlight-color: transparent;
  color: #fff;
}

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
  color: #bbb;
}
.color-white {
  color: #fff !important;
}
iframe {
  border: none;
  width: 100%;
  height: 100%;
}

.game-iframe {
  background: url(/images/bg.png) no-repeat center;
  background-size: 100% 100%;
  height: 100%;
  display: block;
  font-size: 0;
  z-index: 999;
  -webkit-overflow-scrolling: touch;
  overflow-y: scroll;
}

.modPlayGameShortcuts {
  display: none;
  position: absolute;
  left: 0;
  top: 100px;
  /* padding: 4px; */
  background: rgba(0, 0, 0, 0.8);
  border-radius: 40px;
  box-sizing: content-box;
  z-index: 1010;
}

.modPlayGameShortcuts:before {
  content: "";
  display: block;
  width: 44px;
  height: 44px;
  background: url("../images/unexpand.png") no-repeat 0 0;
  background-size: 100%;
}

.ball-iframe {
  display: none;
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  z-index: 1010;

  /* position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 4rem;
  background: rgba(0, 0, 0, 0.75);
  z-index: 1010; */
}
.ball-iframe iframe {
  position: relative;
  z-index: 1012;
}

.ball-iframe .iframe-bg {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 4rem;
  background: rgba(0, 0, 0, 0.65);
  z-index: 1011;
}

.modPlayGameBg {
  display: none;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1000;
}

.pay-iframe {
  display: none;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 1010;
}
.pay-ios-guide-iframe {
  display: none;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 1010;
}
.verified-iframe {
  display: none;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 1010;
}

.login-frame {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 100% !important;
  height: 100% !important;
  background: transparent;
  border-radius: 0.02rem;
  overflow: hidden;
  z-index: 1010;
  box-sizing: border-box;
  box-shadow: 0 0 0.2rem 0.05rem rgb(0 0 0 / 10%);
}
.verified-frame {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 100% !important;
  height: 100% !important;
  background: transparent;
  border-radius: 0.02rem;
  overflow: hidden;
  z-index: 1010;
  box-sizing: border-box;
  box-shadow: 0 0 0.2rem 0.05rem rgb(0 0 0 / 10%);
}
.ui-content {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 3000;
}
.ui-content .box-prompt {
  /* display: none; */
  position: absolute;
  left: 50%;
  top: 50%;
  /* margin: -0.6rem 0 0 -1rem; */
  transform: translate(-50%, 50%);
  padding: 0.1rem;
  min-width: 1.6rem;
  background: rgba(0, 0, 0, 0.8);
  border-radius: 0.05rem;
  color: #fff;
  text-align: center;
  z-index: 3000;
}

.dialog {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.85);
  z-index: 3000;
}
.dialog .dialog-contain {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  width: 2.5rem;
  border-radius: 0.05rem;
}
.dialog .dialog-contain .dialog-title {
  text-align: center;
  padding-top: 0.12rem;
  font-weight: bold;
  font-size: 0.14rem;
}
.dialog .dialog-contain .dialog-content {
  padding: 0.12rem;
  text-align: center;
}
.dialog .dialog-contain .btn-group {
  display: flex;
  align-items: center;
  border-top: 1px solid #dfdfdf;
  height: 0.4rem;
  line-height: 0.4rem;
}
.dialog .dialog-contain .dialog-close {
  flex: 1;
  text-align: center;
  border-right: 1px solid #dfdfdf;
}
.dialog .dialog-contain .dialog-btn {
  flex: 1;
  color: #3b86ff;
  text-align: center;
}

/* 游戏加载中 */
.game-loading {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.game-loading .progress {
  color: #fff;
  font-size: 0.24rem;
  text-align: center;
  position: relative;
  top: 2.2rem;
}

.game-loading .process {
  position: absolute;
  bottom: 0.5rem;
  padding: 0 0.4rem;
  color: #fcd79e;
  font-size: 0.12rem;
  width: 100%;
  box-sizing: border-box;
}

.game-loading .progress-bar {
  width: 100%;
  background-color: #191919;
  border: 1px solid #756e6a;
  height: 0.12rem;
  border-radius: 2rem;
  margin-bottom: 0.05rem;
  position: relative;
}

.game-loading .progress-bar #bar {
  width: 1%;
  height: 100%;
  background: #fcd79e;
  border-radius: 2rem;
  position: absolute;
  top: 0;
  left: 0;
}

/* 实名认证 */
.verified {
  display: none;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 1010;
}
.sdk-box-verified {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 3rem;
  height: 3.4rem;
  background: rgba(0, 0, 0, 0.95);
  border-radius: 0.02rem;
  overflow: hidden;
  z-index: 1010;
}
.sdk-box-title {
  position: relative;
  text-align: center;
  height: 0.4rem;
  line-height: 0.4rem;
  color: #fff;
  font-size: 0.16rem;
  font-weight: bold;
}
.sdk-box-title .title-close {
  position: absolute;
  right: 0.2rem;
  top: 50%;
  margin-top: -0.05rem;
  display: block;
  width: 0.11rem;
  height: 0.11rem;
  background: url(../images/close.png) no-repeat;
  background-size: 100%;
}
.sdk-box-verified .sdk-box-inner {
  height: 3rem;
  background: rgba(0, 0, 0, 0.8);
  overflow: auto;
  box-sizing: border-box;
}
.sdk-box-verified .uc-box {
  position: relative;
  padding-bottom: 0;
}
.sdk-box-verified .verified-rule {
  padding: 0.1rem 0.15rem 0.05rem;
}
.sdk-box-verified .verified-rule .rule-1 {
  min-height: 0.6rem;
  padding-left: 0.95rem;
  background: url(../images/verified-pic.png) no-repeat 0 0.04rem;
  background-size: 0.85rem 0.57rem;
}
.sdk-box-verified .verified-rule .rule-1 span {
  color: #ff9b1a;
}
.sdk-box-verified .verified-rule.over {
  padding-top: 0.3rem;
}
.sdk-box-verified .verified-define {
  margin: 0.1rem 0.15rem;
}

.sdk-box-verified .verified-rule.over .rule-1 {
  padding: 0.7rem 0 0 0;
  background: url("../images/verified-over-pic.png") no-repeat center top;
  background-size: 0.85rem 0.52rem;
  min-height: auto;
}

.sdk-box-verified .verified-rule.over .rule-1 span {
  display: block;
  color: #fff;
  text-align: center;
}

.sdk-box-verified .verified-rule.wait {
  padding-top: 0.3rem;
}

.sdk-box-verified .verified-rule.wait .rule-1 {
  padding: 0.7rem 0 0 0;
  background: url("../images/verified-wait-pic.png") no-repeat center top;
  background-size: 0.85rem 0.52rem;
  min-height: auto;
}

.sdk-box-verified .verified-rule.wait .rule-1 span {
  display: block;
  color: #fff;
  text-align: center;
}

.sdk-box-verified .verified-rule.edit .rule-1 {
  background: none;
  padding: 0;
}
.sdk-box-verified .verified-input {
  padding: 0 0.15rem;
  margin: 0 !important;
}
.sdk-box-verified .verified-input .input-box {
  box-sizing: border-box;
  border: none;
  border-bottom: #272727 1px solid;
  border-radius: 0;
  padding: 0;
}
.sdk-box-verified .verified-input .input-box input {
  background: none;
  border: none;
  width: 100%;
  height: 0.35rem;
  color: #fff;
}
.sdk-box-verified .verified-input.grey .input-box input {
  color: #bbb;
}
.sdk-box-verified .verified-define a {
  display: block;
  height: 0.35rem;
  text-align: center;
  line-height: 0.35rem;
  background: #3280fd;
  color: #fff;
  font-size: 0.14rem;
  border-radius: 0.03rem;
}
.sdk-box-verified .verified-define.gray a {
  background: #999;
}
.sdk-box-verified .verified-btn {
  margin: 0.05rem 0.15rem;
}
.sdk-box-verified .verified-btn a {
  display: block;
  height: 0.4rem;
  text-align: center;
  line-height: 0.4rem;
  background: #3280fd;
  color: #fff;
  font-size: 0.14rem;
  border-radius: 0.05rem;
}
.sdk-box-verified .bottom-rule {
  padding: 0 0.15rem;
  color: #bbb;
}
.sdk-box-verified .rule-2 {
  margin: 0.1rem 0.15rem;
}
.sdk-box-verified .rule-2 p {
  padding-left: 0.08rem;
  display: block;
  height: 0.18rem;
  line-height: 0.18rem;
  background: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAYAAACp8Z5+AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAySURBVBhXY/j//78SEHcAsQsDCAAZZ4AYBpQY/v37dxfKAQEXkIpQoOA7IL2KgYGBAQDY1zK3i3KjJAAAAABJRU5ErkJggg==")
    no-repeat left center;
  background-size: 0.03rem 0.03rem;
  color: #fff;
}